Bug 12174 - LDAP and Kerberos settings not remembered with Back button
LDAP and Kerberos settings not remembered with Back button
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-12 19:18 EDT by James Manning
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-14 11:21:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds setting restorations for LDAP and Krb5 settings (1.04 KB, patch)
2000-06-26 23:00 EDT, James Manning
no flags Details | Diff

  None (edit)
Description James Manning 2000-06-12 19:18:18 EDT
At the Authentication Configuration screen (GUI mode), the settings of MD5
passwords, shadow passwords, and NIS are all saved if you click "Next" and
then "Back" to come back to the screen.

For Kerberos and LDAP, though, the settings are forgotten and going forward
and coming back clears the fields (LDAP Server, Base DN, Kerberos Realm,
KDC, Admin Server) and disables both.  This happens regardless of which, if
any, of the other selections (MD5, shadow, NIS) are selected.
Comment 1 James Manning 2000-06-26 21:24:03 EDT
Fairly clear that Kerb and LDAP got tacked on and didn't get the nice treatment
that the others did :)  In particular, anaconda/iw/auth_gui.py's AuthWindow
class's getScreen method.  lines 84-90 are the in-place calls to restore the
settings for the appropriate GtkEntry's and GtkCheckButton's.  Those
restorations never got put in for the added Kerb and LDAP sections.  Hence, one
correct fix appears to be:

--- anaconda-beta2/iw/auth_gui.py.orig	Mon Jun 26 21:11:53 2000
+++ anaconda-beta2/iw/auth_gui.py	Mon Jun 26 21:20:18 2000
@@ -123,6 +123,11 @@
         self.ldapBasednLabel = GtkLabel (_("LDAP Base DN:"))
         self.ldapBasednLabel.set_alignment (0, 0)
 
+        # restore ldap settings
+        self.ldap.set_active (self.todo.auth.useLdap)
+        self.ldapServer.set_text (self.todo.auth.nisDomain)
+        self.ldapBasedn.set_text (self.todo.auth.self.todo.auth.ldapBasedn)
+
         ldaptable = GtkTable (10, 4)
 
         ldaptable.attach (self.ldap, 0, 10, 0, 1)
@@ -152,6 +157,12 @@
         self.krb5KdcLabel.set_alignment (0, 0)
         self.krb5AdminLabel = GtkLabel (_("Admin Server:"))
         self.krb5AdminLabel.set_alignment (0, 0)
+
+        # restore krb5 settings
+        self.krb5.set_active (self.todo.auth.useKrb5)
+        self.self.krb5Realm.set_text (self.todo.auth.krb5Realm)
+        self.self.krb5Kdc.set_text (self.todo.auth.krb5Kdc)
+        self.self.krb5Admin.set_text (self.todo.auth.krb5Admin)
 
         krb5table = GtkTable (10, 4)
 
Comment 2 James Manning 2000-06-26 22:58:16 EDT
Whoops... as you can see from the "nisDomain" mentioned in ldapServer.set_text
of the above patch, I did a little cut and paste and missed one of the changes. 
I even screwed up the Basedn assignment after that! :) Sorry about that... I'll
get more sleep next time :)

--- anaconda-beta2/iw/auth_gui.py.orig	Mon Jun 26 21:11:53 2000
+++ anaconda-beta2/iw/auth_gui.py	Mon Jun 26 22:52:14 2000
@@ -123,6 +123,11 @@
         self.ldapBasednLabel = GtkLabel (_("LDAP Base DN:"))
         self.ldapBasednLabel.set_alignment (0, 0)
 
+        # restore ldap settings
+        self.ldap.set_active (self.todo.auth.useLdap)
+        self.ldapServer.set_text (self.todo.auth.ldapServer)
+        self.ldapBasedn.set_text (self.todo.auth.ldapBasedn)
+
         ldaptable = GtkTable (10, 4)
 
         ldaptable.attach (self.ldap, 0, 10, 0, 1)
@@ -152,6 +157,12 @@
         self.krb5KdcLabel.set_alignment (0, 0)
         self.krb5AdminLabel = GtkLabel (_("Admin Server:"))
         self.krb5AdminLabel.set_alignment (0, 0)
+
+        # restore krb5 settings
+        self.krb5.set_active (self.todo.auth.useKrb5)
+        self.self.krb5Realm.set_text (self.todo.auth.krb5Realm)
+        self.self.krb5Kdc.set_text (self.todo.auth.krb5Kdc)
+        self.self.krb5Admin.set_text (self.todo.auth.krb5Admin)
 
         krb5table = GtkTable (10, 4)
 
Comment 3 James Manning 2000-06-26 23:00:13 EDT
Created attachment 758 [details]
Adds setting restorations for LDAP and Krb5 settings
Comment 4 Michael Fulbright 2000-06-28 10:36:42 EDT
Applied patches - thanks!

Please verify in test lab.
Comment 5 Brock Organ 2000-07-14 11:21:19 EDT
verified fix in TUI & GUI mode ...

Note You need to log in before you can comment on or make changes to this bug.